#!/bin/bash
VOLUME="2 2 2 4"

gmake check
echo Starting test with volume: ${VOLUME}
echo Running reference call_dslash with volume ${VOLUME}
pushd reference ; ./call_dslash ${VOLUME}; popd

echo Running target call_dslash with volume ${VOLUME}
pushd target    ; ./call_dslash ${VOLUME}; popd

echo Diffing chi cb=0
diff reference/Chi_cb0 target/Chi_cb0

echo Diffing chi cb=1
diff reference/Chi_cb1 target/Chi_cb1

echo Diffing chi_dagger cb=0
diff reference/Chi_cb0_dag target/Chi_cb0_dag

echo Diffing chi_dagger cb=1
diff reference/Chi_cb1_dag target/Chi_cb1_dag
